> Calendly developer docs. For page Markdown, append .md to any URL.
> Index: https://developer.calendly.com/llms.txt
> API catalog: https://developer.calendly.com/.well-known/api-catalog
> OpenAPI: https://developer.calendly.com/openapi/calendly-api.yaml
> OAuth authorization server: https://calendly.com/.well-known/oauth-authorization-server
> MCP protected resource: https://mcp.calendly.com/.well-known/oauth-protected-resource
> Scheduling MCP endpoint: https://mcp.calendly.com
> Docs search MCP: https://developer.calendly.com/_mcp/server

# Get Routing Form Submission

GET https://api.calendly.com/routing_form_submissions/{uuid}

Get a specified Routing Form Submission.

> `routing_forms:read`

Reference: https://developer.calendly.com/api-docs/calendly-api/routing-forms/get-routing-form-submission

## Authentication

- `Authorization` header (bearer token, required) — OAuth 2.0
- `Authorization` header (bearer token, required) — Personal Access Token

## Request

### Path parameters

- `uuid` (string, required)

## Response

### 200

OK

- `resource` (RoutingFormSubmission, required) — Information about a Routing Form Submission.

## Errors

### 400 Bad Request Error

Request is not valid

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 401 Unauthorized Error

Cannot authenticate caller

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 403 Forbidden Error

Permission denied or insufficient scope

- `Get-routing-form-submissionRequestForbiddenError`

### 404 Not Found Error

Requested resource not found

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

### 500 Internal Server Error

An error has occurred on the server

- `title` (enum, required)
  - Allowed values: `Internal Server Error`
- `message` (enum, required)
  - Allowed values: `The server encountered an unexpected condition that prevented it from fulfilling the request.`
- `details` (list of ErrorResponseDetailsItem, optional)

## Types

### RoutingFormSubmission

Information about a Routing Form Submission.

- `uri` (string, required) — Canonical reference (unique identifier) for the routing form submission.
- `routing_form` (string, required) — The URI of the routing form that's associated with the submission.
- `questions_and_answers` (list of SubmissionQuestionAndAnswer, required) — All Routing Form Submission questions with answers.
- `tracking` (SubmissionTracking, required) — The UTM and Salesforce tracking parameters associated with a Routing Form Submission.
- `submitter` (string, required, nullable) — The reference to the Invitee resource when routing form submission results in a scheduled meeting.
- `submitter_type` (enum, required, nullable) — Type of the respondent resource that submitted the form and scheduled a meeting.
  - Allowed values: `Invitee`
- `created_at` (string, required) — The moment the routing form was submitted.
- `updated_at` (string, required) — The moment when the routing form submission was last updated.
- `result` (SubmissionResult, optional) — The polymorphic base type for a Routing Form Submission result.

### ErrorResponseDetailsItem

- `message` (string, required)
- `parameter` (string, optional)
- `code` (string, optional)

### GetRoutingFormSubmissionRequestForbiddenError0

Error Object

- `title` (enum, required)
  - Allowed values: `Permission Denied`
- `message` (enum, required)
  - Allowed values: `You do not have permission to access this resource.`, `You do not have permission`
- `details` (list of ErrorResponseDetailsItem, optional)

### InsufficientScopeError

Caller does not have required oauth scopes

- `title` (enum, required)
  - Allowed values: `Insufficient scope`
- `message` (enum, required)
  - Allowed values: `This operation requires the scopes listed in the 'required_scopes' array.`
- `required_scopes` (list of string, required)

### SubmissionQuestionAndAnswer

All Routing Form Submission questions with answers.

- `question_uuid` (string, required, nullable) — Unique identifier for the routing form question.
- `question` (string, required) — Question name (in human-readable format).
- `answer` (string, optional, nullable) — Answer provided by the respondent when the form was submitted.

### SubmissionTracking

The UTM and Salesforce tracking parameters associated with a Routing Form Submission.

- `utm_campaign` (string, required, nullable) — The UTM parameter used to track a campaign.
- `utm_source` (string, required, nullable) — The UTM parameter that identifies the source (platform where the traffic originates).
- `utm_medium` (string, required, nullable) — The UTM parameter that identifies the type of input (e.g. Cost Per Click (CPC), social media, affiliate or QR code).
- `utm_content` (string, required, nullable) — UTM content tracking parameter.
- `utm_term` (string, required, nullable) — The UTM parameter used to track keywords.
- `salesforce_uuid` (string, required, nullable) — The Salesforce record unique identifier.

### SubmissionResult

The polymorphic base type for a Routing Form Submission result.

### SubmissionEventTypeResult

Information about the event type Routing Form Submission result.

- `type` (enum, required) — Indicates that the routing form submission resulted in a redirect to an event type booking page.
  - Allowed values: `event_type`
- `value` (string, required) — A reference to the event type resource.

### SubmissionExternalUrlResult

Information about the external URL Routing Form Submission result.

- `type` (enum, required) — Indicates that the routing form submission resulted in a redirect to an external URL.
  - Allowed values: `external_url`
- `value` (string, required) — The external URL the respondent were redirected to.

### SubmissionCustomMessageResult

Information about the custom message Routing Form Submission result.

- `type` (enum, required) — Indicates if the routing form submission resulted in a custom "thank you" message.
  - Allowed values: `custom_message`
- `value` (SubmissionCustomMessageResultValue, required) — Contains an object with custom message headline and body.

### SubmissionCustomMessageResultValue

Contains an object with custom message headline and body.

- `headline` (string, required) — Headline displayed when answers don't match any routes.
- `body` (string, required) — Body text displayed when answers don't match any routes.

## Examples

**Response**

```json
{
  "resource": {
    "uri": "https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA",
    "routing_form": "https://api.calendly.com/routing_forms/AAAAAAAAAAAAAAAA",
    "questions_and_answers": [
      {
        "question_uuid": "dddddddd-dddd-dddd-dddd-dddddddddddd",
        "question": "What is your industry?",
        "answer": "IT & Software"
      }
    ],
    "tracking": {
      "utm_campaign": null,
      "utm_source": null,
      "utm_medium": null,
      "utm_content": null,
      "utm_term": null,
      "salesforce_uuid": null
    },
    "submitter": "https://calendly.com/scheduled_events/AAAAAAAAAAAAAAAA/invitees/AAAAAAAAAAAAAAAA",
    "submitter_type": "Invitee",
    "created_at": "2022-05-15T03:04:05.678Z",
    "updated_at": "2022-05-15T06:05:04.321Z",
    "result": {
      "type": "event_type",
      "value": "https://api.calendly.com/event_types/AAAAAAAAAAAAAAAA"
    }
  }
}
```

**SDK Code**

```python Routing Form Submission
import requests

url = "https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Routing Form Submission
const url = 'https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Routing Form Submission
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Routing Form Submission
require 'uri'
require 'net/http'

url = URI("https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Routing Form Submission
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Routing Form Submission
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Routing Form Submission
using RestSharp;

var client = new RestClient("https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Routing Form Submission
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.calendly.com/routing_form_submissions/AAAAAAAAAAAAAAAA")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```